%global srcname pymathics-hello

Name:           python-%{srcname}
Version:        1.0.1
Release:        %autorelease
Summary:        Hello, world for Pymathics modules

License:        GPL-3.0-only
URL:            https://github.com/Mathics3/pymathics-hello
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
Source:         %{url}/raw/c2228397564b1cce5fc7b59d6857dbe2946db66f/COPYING.txt

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
This is a Python module for Mathics that is an simple "Hello, World" example that is typically used as a minimal example for demonstration.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}
Supplements:    mathics

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Copy license file missing from the release tarball
cp -p %SOURCE1 .

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
# This should be pymathics/hello but that doesn't work due to RHBZ#1935266
%pyproject_save_files pymathics

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING.txt
%doc README.rst

%changelog
%autochangelog
